/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.commonmark

// imports
import {IConcept} from './concerto';

// interfaces
export interface INode extends IConcept {
   text?: string;
   nodes?: INode[];
   line?: number;
   column?: number;
   position?: number;
   startTagPosition?: number;
}

export interface IRoot extends INode {
}

export interface IChild extends INode {
}

export interface IText extends IChild {
}

export interface IAttribute extends IConcept {
   name: string;
   value: string;
}

export interface ITagInfo extends IConcept {
   tagName: string;
   attributeString: string;
   attributes: IAttribute[];
   content: string;
   closed: boolean;
}

export interface ICodeBlock extends IChild {
   info?: string;
   tag?: ITagInfo;
}

export interface ICode extends IChild {
   info?: string;
}

export interface IHtmlInline extends IChild {
   tag?: ITagInfo;
}

export interface IHtmlBlock extends IChild {
   tag?: ITagInfo;
}

export interface IEmph extends IChild {
}

export interface IStrong extends IChild {
}

export interface IBlockQuote extends IChild {
}

export interface IHeading extends IChild {
   level: string;
}

export interface IThematicBreak extends IChild {
}

export interface ISoftbreak extends IChild {
}

export interface ILinebreak extends IChild {
}

export interface ILink extends IChild {
   destination: string;
   title: string;
}

export interface IImage extends IChild {
   destination: string;
   title: string;
}

export interface IParagraph extends IChild {
}

export interface IList extends IChild {
   type: string;
   start?: string;
   tight: string;
   delimiter?: string;
}

export interface IItem extends IChild {
}

export interface IDocument extends IRoot {
   xmlns: string;
}

